System.ServiceModel 4.0.0.0 System.Object System.ServiceModel.Description.IPolicyImportExtension System.ServiceModel.Description.IWsdlImportExtension

Override this class to extend the standard mapping between WSDL and a message encoding binding element. Then attach your custom object to a WsdlImporter either programmatically or by using an application configuration file. You can also attach your custom object to the internal WsdlImporter used by the Service Model Metadata Utility Tool (Svcutil.exe) using an application configuration file.

Use the method to directly modify the metadata that is then imported into message encoding binding elements.

Converts WSDL-based policies and contracts about message encoding into descriptions of the binding elements that can implement these policies for the service.

- Constructor
  4.0.0.0
  To be added.

  Initializes a new instance of the class.

- Method
  4.0.0.0
  System.Void `` `` To be added.

  Defines a method that can import custom policy assertions for message encoding and that adds the binding elements that implement the policy.

  The that imports the metadata information. The object that contains the policy assertions that can be imported and the collections of binding elements to which custom binding elements that implement the encoding policy can be added.
- Method
  4.0.0.0
  System.Void `` `` ``

  This method is used to inspect, modify and interpret the policy and WSDL before the does the import.

  Called prior to importing the metadata documents associated with the encoding.

  The that describes the services. The that contains the schema for the . The of type that contains the policy elements.
- Method
  4.0.0.0
  System.Void `` `` To be added.

  Called when importing a contract.

  The contract importer. The import context.
- Method
  4.0.0.0
  System.Void `` `` To be added.

  Maps the custom WSDL extensions for encoding messages to the service description.

  The that imports the WSDL extensions. The that provides the context for the mapping.